Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1736833 - Task-focused programming doesn't work in Eclipse
Summary: Task-focused programming doesn't work in Eclipse
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: eclipse
Version: 30
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Mat Booth
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-08-02 07:12 UTC by Anatoli Babenia
Modified: 2020-05-26 16:30 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-05-26 16:30:04 UTC
Type: Bug


Attachments (Terms of Use)
workspace log (214.58 KB, text/plain)
2019-08-08 05:26 UTC, Anatoli Babenia
no flags Details

Description Anatoli Babenia 2019-08-02 07:12:29 UTC
Description of problem:
Task-focused programming tutorial doesn't work. Views referenced in the tutorial are not available.

Version-Release number of selected component (if applicable):
➜  ~ rpm -q eclipse
package eclipse is not installed
➜  ~ sudo dnf install eclipse
Package eclipse-jdt-1:4.11-4.fc30.noarch is already installed.
Dependencies resolved.
Nothing to do.
Complete!

How reproducible:
Always.

Steps to Reproduce:
1.Open Tutorials from Welcome screen
2.Click "Use the Task List" tutorial
3.Then "Click to perform"

Actual results:

View could not be found: org.eclipse.mylyn.tasks.ui.views.tasks
View could not be found: org.eclipse.mylyn.tasks.ui.views.tasks

Expected results:

Window > Show View > Other... > Tasks >Task List

Additional info:

There is no "Window > Show View > Other... > Tasks" submenu. Mylyn is installed, but not functioning.

Comment 1 Mat Booth 2019-08-02 12:54:21 UTC
Can you show the output of:

rpm -qa | grep eclipse

And attach your workspace log, please?

Comment 2 Anatoli Babenia 2019-08-08 05:24:56 UTC
➜  ~ rpm -qa | grep eclipse
eclipse-swt-4.11-4.fc30.x86_64
eclipse-abrt-0.0.3-9.fc30.noarch
eclipse-equinox-osgi-4.11-4.fc30.x86_64
eclipse-epp-logging-2.0.7-8.fc30.noarch
eclipse-emf-core-2.16.0-2.fc30.noarch
eclipse-platform-4.11-4.fc30.x86_64
eclipse-ecf-core-3.14.4-2.fc30.noarch
eclipse-usage-4.11.0-1.fc30.noarch
eclipse-pydev-7.1.0-2.fc30.x86_64
eclipse-jdt-4.11-4.fc30.noarch
eclipse-mylyn-tasks-bugzilla-3.25.0-0.6.fc30.noarch
eclipse-emf-runtime-2.16.0-2.fc30.noarch
eclipse-mylyn-3.25.0-0.6.fc30.noarch

Comment 3 Anatoli Babenia 2019-08-08 05:26:36 UTC
Created attachment 1601683 [details]
workspace log

Comment 4 Ben Cotton 2020-04-30 21:24:04 UTC
This message is a reminder that Fedora 30 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 30 on 2020-05-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '30'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 30 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 5 Ben Cotton 2020-05-26 16:30:04 UTC
Fedora 30 changed to end-of-life (EOL) status on 2020-05-26. Fedora 30 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.